curl --request GET \
--url 'https://api.dooki.com.br/v2/{alias}/public/catalog/collections{?id%5B%5D={collectionId}%7D'import requests
url = "https://api.dooki.com.br/v2/{alias}/public/catalog/collections{?id%5B%5D={collectionId}%7D"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dooki.com.br/v2/{alias}/public/catalog/collections{?id%5B%5D={collectionId}%7D', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"parent_id": 123,
"active": true,
"show_banners": true,
"featured": true,
"is_promotional": true,
"name": "<string>",
"visible_products": 123,
"home": true,
"expired": true,
"slug": "<string>",
"description": "<string>",
"seo_title": "<string>",
"seo_keywords": "<string>",
"seo_description": "<string>",
"path": "<string>",
"expire_in": "<string>",
"total_products": 123,
"restriced": true,
"url": "<string>",
"stopwatch": "<string>",
"stopwatch_expires_in": "<string>",
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"products": [
{
"data": {
"id": 17790530,
"sku_id": 262573372,
"gift_value": 0,
"simple": false,
"has_variations": true,
"is_digital": false,
"warranty": 0,
"custom_shipping": false,
"shipping_price": 0,
"name": "GTA V Premium 10Uni.",
"slug": "gta-v-premium-10uni",
"sku": "GQVQLNP34,69SQH26GU,QWNVUZHMQ,EPSHDEZPT,K89BHGYNV,SKU-TEST-API,LLKUD2KAM,E7K48R248",
"blocked_sale": false,
"rating": "4.7",
"total_approved_reviews": 3,
"url": "https://www.mytems.com/gta-v-premium-10uni/p",
"url_path": "/gta-v-premium-10uni/p",
"use_different_images": 1,
"brand": {
"data": {
"id": 733502,
"name": "Rockstar Games",
"logo_url": null
}
},
"images": {
"data": [
{
"url": "https://images.yampi.me/assets/stores/mytems/uploads/images/gta-v-premium-10uni-ps5-dvd-67939caf6a3ac-large.jpg"
}
]
},
"prices": {
"data": {
"currency": "R$",
"price_cost": 0,
"price_cost_formated": "R$ 0,00",
"price": 1,
"price_formated": "R$ 1,00",
"base_amount": "1",
"fraction_amount": "00",
"price_sale": 1.11,
"price_sale_formated": "R$ 1,11",
"price_discount": 0,
"price_discount_formated": "R$ 0,00",
"has_promotion": true,
"percent_discount": 9.91,
"billet": {
"price": 1,
"price_formated": "R$ 1,00",
"base_amount": "1",
"fraction_amount": "00",
"discount_value": 0,
"discount_percent": "0.00",
"discount_text": "R$ 1,00 à vista com 0.00% de desconto"
},
"pix": {
"price": 0.9,
"price_formatted": "R$ 0,90",
"base_amount": "0",
"fraction_amount": "90",
"discount_value": 0.1,
"discount_percent": "10.00",
"discount_text": "R$ 0,90 à vista com 10.00% de desconto"
},
"installments": {
"data": {
"max_installment": 1,
"max_installment_value": 1.11,
"amount": 1.11,
"text": "1x de R$ 1,11 sem juros",
"text_with_tax": "1x de R$ 1,11",
"text_discount_percent": null,
"text_discount": null
}
}
}
},
"flags": {
"data": [
{
"id": 24875,
"name": "Pronta Entrega",
"slug": "pronta-entrega",
"text_color": "#333333",
"background_color": "#D0D0D0",
"image_url": null
}
]
},
"variations": {
"data": [
{
"id": 1033792,
"name": "MIDIA",
"values": {
"data": [
{
"id": 15963676,
"value": "Blu-Ray",
"blocked_sale": 1,
"color": null,
"image_url": null
}
]
}
}
]
},
"skus": {
"data": [
{
"id": 262573372,
"product_id": 17790530,
"sku": "69SQH26GU",
"blocked_sale": false,
"title": "GTA V Premium 10Uni. PS5 DVD",
"availability": 0,
"variations": [
{
"name": "PLATAFORMA",
"id": 1005560,
"value": "PS5",
"value_id": 15543722
}
],
"days_availability_formated": "Imediata",
"price_sale": 1.11,
"price_discount": 0,
"combinations": "15543722-15963677",
"order": 0,
"total_in_stock": 0,
"allow_sell_without_customization": false,
"image_reference_sku_id": null,
"purchase_url": "https://mytems.pay.yampi.com.br/r/IG65R4X4LD",
"prices": {
"data": {
"currency": "R$",
"price_cost": 0,
"price_cost_formated": "R$ 0,00",
"price": 1,
"price_formated": "R$ 1,00",
"base_amount": "1",
"fraction_amount": "00",
"price_sale": 1.11,
"price_sale_formated": "R$ 1,11",
"price_discount": 0,
"price_discount_formated": "R$ 0,00",
"has_promotion": true,
"percent_discount": 9.91,
"billet": {
"price": 1,
"price_formated": "R$ 1,00",
"base_amount": "1",
"fraction_amount": "00",
"discount_value": 0,
"discount_percent": "0.00",
"discount_text": "R$ 1,00 à vista com 0.00% de desconto"
},
"pix": {
"price": 0.9,
"price_formatted": "R$ 0,90",
"base_amount": "0",
"fraction_amount": "90",
"discount_value": 0.1,
"discount_percent": "10.00",
"discount_text": "R$ 0,90 à vista com 10.00% de desconto"
}
}
},
"images": {
"data": [
{
"url": "https://images.yampi.me/assets/stores/mytems/uploads/images/gta-v-premium-10uni-ps5-dvd-6793a15012988-large.jpg"
}
]
},
"customizations": {
"data": [
{
"id": 5363,
"name": "nome",
"price": 0,
"description": null,
"type": "input",
"required": false,
"max_chars": 8,
"allowed_values": "all",
"values": [
"<string>"
],
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"total_products": 3,
"products_ids": [
9828573,
18340521,
17790530
]
}
]
}
}
]
},
"extras": {
"data": {
"video": "",
"total_in_stock": 0,
"for_gift": false
}
},
"texts": {
"data": {
"description": "<string>",
"specifications": "<string>",
"measures": ""
}
},
"seo": {
"data": {
"seo_title": "",
"seo_description": "",
"seo_keywords": "",
"canonical_url": ""
}
},
"categories": {
"data": [
{
"id": 1534214,
"name": "JOGOS",
"parent_id": null,
"slug": "jogos",
"url_path": "/jogos"
}
]
},
"breadcrumbs": {
"data": [
{
"id": 1534214,
"name": "JOGOS",
"url_path": "/jogos?sort_by=best_sellers"
}
]
}
}
}
],
"banners": [
{
"data": [
{
"id": 119474,
"type": "image",
"active": true,
"home": true,
"name": "Top-banner",
"slug": "top-banner",
"expired": false,
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"first_banner": {
"id": 119474,
"link": null,
"image": "//images.yampi.me/assets/stores/mytems/uploads/banners/62c6fbff0fddc.jpg",
"mobile_image": null,
"stopwatch": null
},
"dimensions": {
"desktop": {
"width": "1186.00",
"height": "441.00"
},
"mobile": {
"width": "0.00",
"height": "0.00"
}
},
"product": {
"data": [
{
"data": {
"id": 17790530,
"name": "GTA V Premium 10Uni.",
"slug": "gta-v-premium-10uni",
"blocked_sale": false,
"rating": "4.7",
"url": "https://www.mytems.com/gta-v-premium-10uni/p",
"url_path": "/gta-v-premium-10uni/p",
"brand": {
"data": {
"id": 733502,
"name": "Rockstar Games",
"logo_url": null
}
},
"images": {
"data": [
{
"url": "https://images.yampi.me/assets/stores/mytems/uploads/images/gta-v-premium-10uni-ps5-dvd-67939caf6a3ac-large.jpg"
}
]
},
"prices": {
"data": {
"currency": "R$",
"price": 1,
"price_formated": "R$ 1,00",
"price_sale": 1.11,
"price_sale_formated": "R$ 1,11",
"has_promotion": true,
"percent_discount": 9.91
}
}
}
}
]
},
"product_id": null,
"image_url": "//images.yampi.me/assets/stores/mytems/uploads/banners/62c6fbff0fddc.jpg",
"mobile_image_url": null,
"link": null,
"stopwatch": null,
"stopwatch_expires_in": null
}
]
}
]
}Listar Coleções de uma loja
Retorna as Informações públicas das coleções
Path Parameters
Alias da loja
Query Parameters
ID da coleção - exemplo: /{alias}/public/catalog/collections?id[]=5287&id[]=7821
Response
Retorna as Informações públicas de uma Coleção
Representa uma coleção do catálogo
ID da coleção.
ID da coleção pai, quando a coleção for uma subcoleção.
Indica se a coleção está ativa e visível na loja.
Indica se os banners vinculados à coleção são exibidos na página dela.
Indica se a coleção é destacada na navegação da loja.
Indica se a coleção é promocional, com período de vigência definido por start_at e end_at.
Nome da coleção.
Quantidade de produtos exibidos na vitrine da coleção.
Indica se a coleção é exibida na página inicial da loja.
Indica se a data de término da coleção já passou.
Slug da coleção, usado na composição da URL.
Texto descritivo exibido na página da coleção.
Título usado para SEO (tag title) da página da coleção.
Palavras-chave usadas para SEO da página da coleção.
Descrição usada para SEO (meta description) da página da coleção.
Caminho relativo para o recurso.
Tempo restante até a expiração, descrito em formato textual (ex.: 'dentro de 998 anos').
Número total de produtos relacionados ao recurso.
Indica se a coleção tem regras de restrição de produtos (inclusão ou exclusão por marca e categoria).
URL completa da página da coleção na loja.
Tipo da contagem regressiva exibida na coleção: daily (reinicia todo dia) ou expiration_date (conta até a data de término).
Data e hora em que a contagem regressiva termina: o fim do dia atual quando stopwatch for daily, ou a data de término da coleção.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?